# Global Object Identification

Like the [BuyCoins GraphQL Schema,](https://developers.buycoins.africa/introduction/global-object-identification) Sendcash implements the [GraphQL Global Object Identification Specification](https://facebook.github.io/relay/graphql/objectidentification.htm).

What this means is that you can use the `node` or `nodes` query to get **ANY** object(s) as long as you have the id(s).

For example, if you wanted to get a specific wire-out payout:

```graphql
node(id: "VHlwZXM6OlB1YmxpY0FwaTo6QWRkcmVzcy1mOGRmNGZlYy1iZTJmLTQ1YjktOWJjMy04YjMwMGNhZTg5Y2I") {
    ... on Payout {
        amount
        createdAt
        id
        status
        trackingRef
        wireoutAccount
    }
}
```

Alternatively, if you had a list/an array of ids:

```graphql
nodes(ids: ["id1", "id2"]){
    ...on Payout {
        amount
        createdAt
        id
        status
        trackingRef
        wireoutAccount
    }
    ...on WireOutAccount {
        accountName
        accountNumber
    }
}
```

As can be seen from the example above, you can handle for multiple types.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendcash.africa/global-object-identification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
